xrdp-genkeymap(8)

NAME
xrdp-genkeymap - key map generator for XRDP

SYNTAX
xrdp-genkeymap file

DESCRIPTION
xrdp-genkeymap extracts the key map used by the currently running X session to generated a mapping from Remote Desktop Protocol (RDP) key codes to X keysyms and Unicode code points.

OPTIONS

outfile
    The key map information is stored in the file named outfile.

FILES

/etc/xrdp/km-XXXX.ini
    Files containing the keyboard mapping for language XXXX, which is a 4 digit hexadecimal number identifying the country and language code.

    0405
        cs czech

    0407
        de german

    0409
        en-us us english

    040c
        fr french

    0410
        it italy

    0416
        br Portuguese (Brazil)

    0419
        ru russian

    041d
        se swedish

    0809
        en-uk uk english

AUTHORS
Jay Sorg <jsorg71@users.sourceforge.net>
Simone Fedele <ilsimo@users.sourceforge.net>

SEE ALSO
xrdp(8), setxkbmap(1), unicode(7), for more info on xrdp see http://xrdp.sf.net